Summary:	Zebedee server is a simple, free, secure TCP and UDP tunnel program
%define name zebedee
Name:		%{name}
%define version 2.4.1
%define ostype linux
Version:	%{version}
Release:	1.intergenia
Group:		Applications/Security
License:	GPL
URL:		http://www.winton.org.uk/zebedee/
Source:		%{name}-%{version}.tar.gz
Source1:	zebedee-server.init
Source2:	server.zbd
BuildRoot:	/var/tmp/zebedee
Vendor:		Intergenia AG
Packager:	Maik Broemme <mbroemme@plusserver.de>

%package server
Group:		Applications/Security
Summary:	Zebedee server is a simple, free, secure TCP and UDP tunnel program
Requires:	%{name} = %{version}-%{release}
Source1:	server.zbd

%package client
Group:		Applications/Security
Summary:	Zebedee client is a simple, free, secure TCP and UDP tunnel program
Requires:	%{name} = %{version}-%{release}
Source1:	client.zbd

%description
Zebedee is a simple program to establish an encrypted, compressed 
"tunnel" for TCP/IP or UDP data transfer between two systems. 
This allows traffic such as telnet, ftp and X to be protected from 
snooping as well as potentially gaining performance over 
low-bandwidth networks from compression.

%description server
Zebedee is a simple program to establish an encrypted, compressed 
"tunnel" for TCP/IP or UDP data transfer between two systems. 
This allows traffic such as telnet, ftp and X to be protected from 
snooping as well as potentially gaining performance over 
low-bandwidth networks from compression. This is the server which
waits for connections from a Zebedee client.

%description client
Zebedee is a simple program to establish an encrypted, compressed 
"tunnel" for TCP/IP or UDP data transfer between two systems. 
This allows traffic such as telnet, ftp and X to be protected from 
snooping as well as potentially gaining performance over 
low-bandwidth networks from compression. This is the client which
connects to a specific port to a local or remote Zebedee server.

%prep
%setup

%build
make OS=%{ostype} ZINC= ZLIB=-lz BZINC= BZLIB=-lbz2 BFINC=-I/usr/include/openssl BFLIB=-lcrypto

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/zebedee
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/zebedee

install zebedee $RPM_BUILD_ROOT%{_sbindir}/zebedee
install ftpgw.tcl $RPM_BUILD_ROOT%{_bindir}/ftpgw.tcl
install zebedee.1 $RPM_BUILD_ROOT%{_mandir}/man1/zebedee.1
install ftpgw.tcl.1 $RPM_BUILD_ROOT%{_mandir}/man1/ftpgw.tcl.1
install server.zbd vncviewer.zbd vncserver.zbd server.key server.id client1.key client2.key clients.id $RPM_BUILD_ROOT%{_libdir}/zebedee
install zebedee.html ftpgw.tcl.html zebedee.ja_JP.html zebedee.iss $RPM_BUILD_ROOT%{_libdir}/zebedee
install $RPM_SOURCE_DIR/zebedee-server.init $RPM_BUILD_ROOT/etc/rc.d/init.d/zebedee-server
install $RPM_SOURCE_DIR/zebedee-client.init $RPM_BUILD_ROOT/etc/rc.d/init.d/zebedee-client
install $RPM_SOURCE_DIR/server.zbd $RPM_BUILD_ROOT/etc/zebedee/server.zbd
install $RPM_SOURCE_DIR/client.zbd $RPM_BUILD_ROOT/etc/zebedee/client.zbd

%files
%attr(0755,root,root) %{_sbindir}/zebedee
%attr(0755,root,root) %{_bindir}/ftpgw.tcl
%attr(0755,root,root) %{_libdir}/zebedee
%attr(0644,root,root) %{_mandir}/man1/zebedee.1*
%attr(0644,root,root) %{_mandir}/man1/ftpgw.tcl.1*
%doc *.txt *.html

%files server
/etc/rc.d/init.d/zebedee-server
%attr(0644,root,root) /etc/zebedee/server.zbd

%files client
/etc/rc.d/init.d/zebedee-client
%attr(0644,root,root) /etc/zebedee/client.zbd

%post server
/sbin/chkconfig --add zebedee-server

%postun server
/sbin/service zebedee-server condrestart > /dev/null 2>&1 || :

%preun server
if [ "$1" = 0 ]
then
	/sbin/service zebedee-server stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del zebedee-server
fi

%post client
/sbin/chkconfig --add zebedee-client

%postun client
/sbin/service zebedee-client condrestart > /dev/null 2>&1 || :

%preun client
if [ "$1" = 0 ]
then
	/sbin/service zebedee-client stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del zebedee-client
fi

%changelog
* Wed Jun 23 2004 Maik Broemme <mbroemme@plusserver.de>
- added redhat style init script.
- fixed some path specific things to fit redhat
- split package in server and client part

* Tue May 29 2002 Neil Winton <neil@winton.org.uk>
- Zebedee version 2.4.1

* Thu May 09 2002 Neil Winton <neil@winton.org.uk>
- Zebedee version 2.4.0

* Fri Mar 22 2002 Neil Winton <neil@winton.org.uk>
- Zebedee version 2.3.2

* Fri Mar 15 2002 Neil Winton <neil@winton.org.uk>
- Zebedee version 2.3.1

* Thu Mar 07 2002 Neil Winton <neil@winton.org.uk>
- Zebedee version 2.3.0

* Fri Apr 13 2001 Neil Winton <neil@winton.org.uk>
- Zebedee version 2.2.2

* Fri Feb 09 2001 Neil Winton <neil@winton.org.uk>
- Zebedee version 2.2.1

* Fri Feb 02 2001 Neil Winton <neil@winton.org.uk>
- Zebedee version 2.2.0

* Sat Oct 14 2000 Neil Winton <neil@winton.org.uk>
- Modified based on Marc's work -- fixed the man page creation
- Zebedee version 2.1.3

* Sun Sep 3 2000 Marc Lavalle <odradek@videotron.ca>
- initial RPM package, should work with most Unix
- modified Makefile: disabled the buggy zebedee man page creation
- inclusion of the zebedee man page
